package com.huigou.topsun.base.bsnMessage.appliction;

import com.huigou.topsun.base.bsnMessage.domain.BsnMessageExecute;
import com.huigou.topsun.base.bsnMessage.domain.BsnMessageReject;
import com.huigou.topsun.base.bsnMessage.domain.BsnMessageSponsor;

import java.util.List;
import java.util.Map;

public interface BsnMessageApplication {

    String QUERY_XML_FILE_PATH = "config/topsun/base/bsnMessage.xml";

    Map<String,Object> queryExecuteBsnMessage();

    List<BsnMessageSponsor> queryFinishBsnMessageSponsor();


    public void saveBsnMessageSponsor(List<BsnMessageSponsor> all);
    public String saveBsnMessageSponsor(BsnMessageSponsor entity);
    public void saveBsnMessageExecute(List<BsnMessageExecute> all);
    public void saveBsnMessageExecute(BsnMessageExecute entity);
    public void saveBsnMessageReject(List<BsnMessageReject> all);
    public void saveBsnMessageReject(BsnMessageReject entity);

    List<BsnMessageExecute> getExecuteByMsId(String msId);

    BsnMessageExecute getExecuteByMeId(String id);

    List<BsnMessageReject>  getRejectByMeId(String meId);
//    List<BsnMessageSponsor> getSponsorsBy();

    /**
     * 获取同一份任务流程的其他执行部门
     * @param meId
     * @return
     */
    List<BsnMessageExecute> getBrotherExecuteByMeId(String meId);
}
